/*
 ******************************************************************************************
 * @file      gpio.c
 * @author    GowinSemicoductor
 * @device    Gowin_EMPU_M1
 * @brief     Initializes GPIO.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gpio.h"


/* Definitions ---------------------------------------------------------------*/

//Initializes GPIO
void gpio_init(void)
{
	GPIO_InitTypeDef GPIO_InitType;
	
	//Initializes GPIO pin 0~3 as output
	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;			//Pin 0~3
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;	//As output
	GPIO_Init(GPIO0,&GPIO_InitType);					//Initialized
	
	//Initializes GPIO pin 4~7 as input
	GPIO_InitType.GPIO_Pin = GPIO_Pin_4 |
													 GPIO_Pin_5 |
													 GPIO_Pin_6 |
													 GPIO_Pin_7;			//Pin 4~7
	GPIO_InitType.GPIO_Mode = GPIO_Mode_IN;		//As input
	GPIO_Init(GPIO0,&GPIO_InitType);					//Initialized
	
	//Initializes output value
	//on:0; 1:off on some boards
	//on:1; 0:off on some boards
	//Customized
	GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
}
