/*
 ******************************************************************************************
 * @file          main.c
 * @author        GowinSemicoductor
 * @device        Gowin_EMPU_M1
 * @brief         Main function.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "FreeRTOS.h"
#include "task.h"
#include "led.h"
#include "gpio.h"
#include "uart.h"


/* Definitions ---------------------------------------------------------------*/

void vApplicationTickHook()
{
}

void vApplicationMallocFailedHook()
{
}

void vApplicationStackOverflowHook()
{
}

//led1 task
void led1_task(void *temp)
{
	while(1)
	{
		vTaskDelay(500);
		led1_exc();
	}
}

//led2 task
void led2_task(void *temp)
{
	while(1)
	{
		vTaskDelay(100);
		led2_exc();
	}
}

//Application entry function
int main(void)
{
	SystemInit();			//Initializes system clock
	gpio_init();			//Initializes GPIO
	uart_init(UART0,	//Initializes UART0
	          115200,	//Baudrate
	          1,			//Tx
	          1,			//Rx
	          0,			//Tx interrupt
	          0,			//Rx interrupt
	          0,			//Tx overflow interrupt
	          0);			//Rx overflow interrupt

	//led1 task
	xTaskCreate(
							led1_task,
							"led1",
							40,
							NULL,
							512,
							NULL);
	
	//led2 tack
	xTaskCreate(
							led2_task,
							"led2",
							40,
							NULL,
							1,
							NULL);
							
	vTaskStartScheduler();

	while(1)
	{
	}
}
