
`resetall

module Gowin_EMPU_M3_template
(
  //GPIO
  GPIO,
  //Debug Access Port
  JTAG_3,   //trstn
  JTAG_4,   //NC
  JTAG_5,   //tdi
  JTAG_6,   //NC
  JTAG_7,   //tms   |       swdio
  JTAG_8,   //extFlash_sspi2_sio3/holdn
  JTAG_9,   //tck   |       swclk
  JTAG_10,  //extFlash_spi2_mosi/sio1
  JTAG_11,  //NC    |       
  JTAG_12,  //extFlash_spi2_sclk
  JTAG_13,  //tdo   |       swo
  JTAG_14,  //extFlash_spi2_miso/sio0
  JTAG_15,  //srstn
  JTAG_16,  //extFlash_spi2_cs
  JTAG_17,  //NC
  JTAG_18,  //extFlash_sspi2_sio2/WPn
  //UART0
  UART0RXD,
  UART0TXD,
  //SPI-Flash
  FLASH_SPI_HOLDN,
  FLASH_SPI_CSN,
  FLASH_SPI_MISO,
  FLASH_SPI_MOSI,
  FLASH_SPI_WPN,
  FLASH_SPI_CLK,
  //System Clock
  HCLK,
  //System Reset
  hwRstn
);


inout JTAG_3;
inout JTAG_4;
inout JTAG_5;
inout JTAG_6;
inout JTAG_7;
inout JTAG_8;
inout JTAG_9;
inout JTAG_10;
inout JTAG_11;
inout JTAG_12;
inout JTAG_13;
inout JTAG_14;
inout JTAG_15;
inout JTAG_16;
inout JTAG_17;
inout JTAG_18;
inout [3:0] GPIO;
input UART0RXD ;
output UART0TXD ;
input HCLK ;
input hwRstn ;
inout FLASH_SPI_HOLDN;
inout FLASH_SPI_CSN;
inout FLASH_SPI_MISO;
inout FLASH_SPI_MOSI;
inout FLASH_SPI_WPN;
inout FLASH_SPI_CLK;

wire clkin = HCLK;	//Input 50MHz
wire MCU_SYS_CLK;	//MCU 20MHz


//Gowin_rPLL instantiation
Gowin_rPLL u_Gowin_rPLL
(
  .clkout(MCU_SYS_CLK),     //MCU 20MHz
  .clkin(clkin)             //input 50MHz
);


//Gowin_EMPU_M3_Top instantiation
Gowin_EMPU_M3_Top u_Gowin_EMPU_M3_Top
(
  .LOCKUP(),
  .HALTED(),
  .GPIO(GPIO),
  .JTAG_3(JTAG_3),
  .JTAG_4(JTAG_4),
  .JTAG_5(JTAG_5),
  .JTAG_6(JTAG_6),
  .JTAG_7(JTAG_7),
  .JTAG_8(JTAG_8),
  .JTAG_9(JTAG_9),
  .JTAG_10(JTAG_10),
  .JTAG_11(JTAG_11),
  .JTAG_12(JTAG_12),
  .JTAG_13(JTAG_13),
  .JTAG_14(JTAG_14),
  .JTAG_15(JTAG_15),
  .JTAG_16(JTAG_16),
  .JTAG_17(JTAG_17),
  .JTAG_18(JTAG_18),
  .UART0RXD(UART0RXD),
  .UART0TXD(UART0TXD),
  .FLASH_SPI_HOLDN(FLASH_SPI_HOLDN),
  .FLASH_SPI_CSN(FLASH_SPI_CSN),
  .FLASH_SPI_MISO(FLASH_SPI_MISO),
  .FLASH_SPI_MOSI(FLASH_SPI_MOSI),
  .FLASH_SPI_WPN(FLASH_SPI_WPN),
  .FLASH_SPI_CLK(FLASH_SPI_CLK),
  .HCLK(MCU_SYS_CLK),
  .hwRstn(hwRstn)
);

endmodule