/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2020 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			led.c
 * @author		Embedded Development Team
 * @version		V1.0.0
 * @date			2020-4-1 09:00:00
 * @brief			uC/OS-III task application.
 ******************************************************************************************/

/* Include-------------------------------------------------------------------------------- */
#include <stdint.h>
#include "GOWIN_M3.h"

void led_init(void)
{
	GPIO_InitTypeDef GPIO_InitType;
	
	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitType.GPIO_Int = GPIO_Int_Disable;

	GPIO_Init(GPIO0,&GPIO_InitType);

  GPIO_WriteBits(GPIO0,0xF);//light : low level
}

void led_on(uint8_t led)
{
    switch (led)
    {
        case 0:
        	GPIO_ResetBit(GPIO0, GPIO_Pin_0);
        	break;

        case 1:
        	GPIO_ResetBit(GPIO0, GPIO_Pin_1);
        	break;

        case 2:
        	GPIO_ResetBit(GPIO0, GPIO_Pin_2);
        	break;

        case 3:
        	GPIO_ResetBit(GPIO0, GPIO_Pin_3);
        	break;

        default:
        	break;
    }
}

void led_off(uint8_t led)
{
	switch (led)
    {
        case 0:
        	GPIO_SetBit(GPIO0, GPIO_Pin_0);
        	break;

        case 1:
        	GPIO_SetBit(GPIO0, GPIO_Pin_1);
        	break;

        case 2:
        	GPIO_SetBit(GPIO0, GPIO_Pin_2);
        	break;

        case 3:
        	GPIO_SetBit(GPIO0, GPIO_Pin_3);
        	break;

        default:
        	break;
    }
}

void led_toggle(uint8_t led)
{
	uint32_t temp;

	temp = GPIO0->DATAOUT;

	switch (led)
    {
        case 0:
        	if (temp & GPIO_Pin_0)
        	{
        		GPIO_ResetBit(GPIO0, GPIO_Pin_0);
        	}
        	else
        	{
        		GPIO_SetBit(GPIO0, GPIO_Pin_0);
        	}

			break;

        case 1:
        	if (temp & GPIO_Pin_1)
        	{
        		GPIO_ResetBit(GPIO0, GPIO_Pin_1);
        	}
        	else
        	{
        		GPIO_SetBit(GPIO0, GPIO_Pin_1);
        	}

			break;

        case 2:
        	if (temp & GPIO_Pin_2)
        	{
        		GPIO_ResetBit(GPIO0, GPIO_Pin_2);
        	}
        	else
        	{
        		GPIO_SetBit(GPIO0, GPIO_Pin_2);
        	}

			break;

        case 3:
        	if (temp & GPIO_Pin_3)
        	{
        		GPIO_ResetBit(GPIO0, GPIO_Pin_3);
        	}
        	else
        	{
        		GPIO_SetBit(GPIO0, GPIO_Pin_3);
        	}

			break;

        default:
        	break;
    }
}
