#define CONFIG_ROM_START_OFFSET 0x0
#define CONFIG_SPI 1
#define CONFIG_I2C 1
#define CONFIG_BOARD "adp_xc7k_ae350"
#define CONFIG_SOC "ae350"
#define CONFIG_SYS_CLOCK_HW_CYCLES_PER_SEC 60000000
#define CONFIG_RISCV_HAS_CPU_IDLE 1
#define CONFIG_RISCV_HAS_PLIC 1
#define CONFIG_NUM_IRQS 64
#define CONFIG_RISCV_GENERIC_TOOLCHAIN 1
#define CONFIG_RISCV_SOC_CONTEXT_SAVE 1
#define CONFIG_RISCV_SOC_OFFSETS 1
#define CONFIG_RISCV_SOC_INTERRUPT_INIT 1
#define CONFIG_MAX_IRQ_PER_AGGREGATOR 52
#define CONFIG_2ND_LEVEL_INTERRUPTS 1
#define CONFIG_2ND_LVL_ISR_TBL_OFFSET 12
#define CONFIG_NUM_2ND_LEVEL_AGGREGATORS 1
#define CONFIG_2ND_LVL_INTR_00_OFFSET 11
#define CONFIG_2ND_LVL_INTR_01_OFFSET 0
#define CONFIG_2ND_LVL_INTR_02_OFFSET 0
#define CONFIG_2ND_LVL_INTR_03_OFFSET 0
#define CONFIG_2ND_LVL_INTR_04_OFFSET 0
#define CONFIG_2ND_LVL_INTR_05_OFFSET 0
#define CONFIG_2ND_LVL_INTR_06_OFFSET 0
#define CONFIG_2ND_LVL_INTR_07_OFFSET 0
#define CONFIG_MAIN_STACK_SIZE 2048
#define CONFIG_TEST_EXTRA_STACKSIZE 1024
#define CONFIG_SYS_CLOCK_TICKS_PER_SEC 100
#define CONFIG_IDLE_STACK_SIZE 1536
#define CONFIG_SOC_SERIES "andes_v5"
#define CONFIG_KERNEL_ENTRY "entry"
#define CONFIG_XIP 1
#define CONFIG_BOARD_ADP_XC7K_AE350 1
#define CONFIG_SOC_SERIES_RISCV_ANDES_V5 1
#define CONFIG_SOC_FAMILY_RISCV_PRIVILEGE 1
#define CONFIG_SOC_FAMILY "riscv-privilege"
#define CONFIG_SOC_RISCV_ANDES_AE350 1
#define CONFIG_RISCV_RV32 1
#define CONFIG_NO_FPU 1
#define CONFIG_SOC_ANDES_V5_PFT 1
#define CONFIG_SOC_ANDES_V5_PMA_REGION_MIN_ALIGN_AND_SIZE 4096
#define CONFIG_ARCH "riscv32"
#define CONFIG_GEN_ISR_TABLES 1
#define CONFIG_RISCV 1
#define CONFIG_ARCH_IS_SET 1
#define CONFIG_SRAM_SIZE 1048576
#define CONFIG_SRAM_BASE_ADDRESS 0x0
#define CONFIG_GEN_SW_ISR_TABLE 1
#define CONFIG_ARCH_SW_ISR_TABLE_ALIGN 0
#define CONFIG_GEN_IRQ_START_VECTOR 0
#define CONFIG_MULTITHREADING 1
#define CONFIG_NUM_COOP_PRIORITIES 29
#define CONFIG_NUM_PREEMPT_PRIORITIES 40
#define CONFIG_MAIN_THREAD_PRIORITY 0
#define CONFIG_COOP_ENABLED 1
#define CONFIG_PREEMPT_ENABLED 1
#define CONFIG_PRIORITY_CEILING 0
#define CONFIG_NUM_METAIRQ_PRIORITIES 0
#define CONFIG_ISR_STACK_SIZE 2048
#define CONFIG_ERRNO 1
#define CONFIG_SCHED_SCALABLE 1
#define CONFIG_WAITQ_DUMB 1
#define CONFIG_BOOT_BANNER 1
#define CONFIG_BOOT_DELAY 0
#define CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE 4096
#define CONFIG_SYSTEM_WORKQUEUE_PRIORITY -1
#define CONFIG_ATOMIC_OPERATIONS_BUILTIN 1
#define CONFIG_TIMESLICING 1
#define CONFIG_TIMESLICE_SIZE 0
#define CONFIG_TIMESLICE_PRIORITY 0
#define CONFIG_NUM_MBOX_ASYNC_MSGS 10
#define CONFIG_NUM_PIPE_ASYNC_MSGS 10
#define CONFIG_KERNEL_MEM_POOL 1
#define CONFIG_MEM_POOL_HEAP_BACKEND 1
#define CONFIG_HEAP_MEM_POOL_SIZE 0
#define CONFIG_SYS_CLOCK_EXISTS 1
#define CONFIG_TIMEOUT_64BIT 1
#define CONFIG_KERNEL_INIT_PRIORITY_OBJECTS 30
#define CONFIG_KERNEL_INIT_PRIORITY_DEFAULT 40
#define CONFIG_KERNEL_INIT_PRIORITY_DEVICE 50
#define CONFIG_APPLICATION_INIT_PRIORITY 90
#define CONFIG_USE_SWITCH_SUPPORTED 1
#define CONFIG_MP_NUM_CPUS 1
#define CONFIG_TICKLESS_IDLE 1
#define CONFIG_TICKLESS_IDLE_THRESH 3
#define CONFIG_TICKLESS_KERNEL 1
#define CONFIG_HAS_DTS 1
#define CONFIG_HAS_DTS_GPIO 1
#define CONFIG_UART_CONSOLE_ON_DEV_NAME "uart_1"
#define CONFIG_CONSOLE 1
#define CONFIG_CONSOLE_INPUT_MAX_LINE_LEN 128
#define CONFIG_CONSOLE_HAS_DRIVER 1
#define CONFIG_UART_CONSOLE 1
#define CONFIG_UART_CONSOLE_INIT_PRIORITY 60
#define CONFIG_UART_MUX_RX_STACK_SIZE 512
#define CONFIG_UART_MUX_RX_PRIORITY 7
#define CONFIG_SERIAL 1
#define CONFIG_SERIAL_HAS_DRIVER 1
#define CONFIG_SERIAL_SUPPORT_INTERRUPT 1
#define CONFIG_UART_NS16550 1
#define CONFIG_PLIC 1
#define CONFIG_MULTI_LEVEL_INTERRUPTS 1
#define CONFIG_RISCV_MACHINE_TIMER 1
#define CONFIG_SYSTEM_CLOCK_INIT_PRIORITY 0
#define CONFIG_TICKLESS_CAPABLE 1
#define CONFIG_GPIO 1
#define CONFIG_GPIO_ANDES_ATCGPIO100 1
#define CONFIG_SPI_INIT_PRIORITY 70
#define CONFIG_SPI_ANDES_ATCSPI200 1
#define CONFIG_I2C_ANDES_ATCIIC100 1
#define CONFIG_I2C_INIT_PRIORITY 60
#define CONFIG_FLASH_HAS_DRIVER_ENABLED 1
#define CONFIG_FLASH_JESD216 1
#define CONFIG_FLASH 1
#define CONFIG_SPI_NOR 1
#define CONFIG_SPI_NOR_SFDP_MINIMAL 1
#define CONFIG_SPI_NOR_INIT_PRIORITY 80
#define CONFIG_SPI_NOR_CS_WAIT_DELAY 0
#define CONFIG_SPI_NOR_FLASH_LAYOUT_PAGE_SIZE 65536
#define CONFIG_COUNTER 1
#define CONFIG_COUNTER_RTC_STM32_BACKUP_DOMAIN_RESET 1
#define CONFIG_COUNTER_ANDES_ATCPIT100 1
#define CONFIG_DISPLAY 1
#define CONFIG_DISPLAY_ANDES_ATFLCDC100 1
#define CONFIG_PANEL_AUA036QN01 1
#define CONFIG_ANDES_RGB_565 1
#define CONFIG_MINIMAL_LIBC 1
#define CONFIG_MINIMAL_LIBC_MALLOC 1
#define CONFIG_MINIMAL_LIBC_MALLOC_ARENA_SIZE 0
#define CONFIG_MINIMAL_LIBC_CALLOC 1
#define CONFIG_MINIMAL_LIBC_REALLOCARRAY 1
#define CONFIG_SYS_HEAP_ALLOC_LOOPS 3
#define CONFIG_PRINTK64 1
#define CONFIG_POSIX_MAX_FDS 4
#define CONFIG_MAX_TIMER_COUNT 5
#define CONFIG_PRINTK 1
#define CONFIG_EARLY_CONSOLE 1
#define CONFIG_ASSERT 1
#define CONFIG_ASSERT_LEVEL 2
#define CONFIG_ASSERT_VERBOSE 1
#define CONFIG_LINKER_ORPHAN_SECTION_WARN 1
#define CONFIG_LINKER_SORT_BY_ALIGNMENT 1
#define CONFIG_SIZE_OPTIMIZATIONS 1
#define CONFIG_COMPILER_OPT ""
#define CONFIG_RUNTIME_ERROR_CHECKS 1
#define CONFIG_KERNEL_BIN_NAME "zephyr"
#define CONFIG_OUTPUT_STAT 1
#define CONFIG_OUTPUT_DISASSEMBLY 1
#define CONFIG_OUTPUT_PRINT_MEMORY_USAGE 1
#define CONFIG_BUILD_OUTPUT_BIN 1
#define CONFIG_COMPAT_INCLUDES 1
